<div id="top_of_dialog">
	<strong>Upload Configurazione Soglie</strong>
</div>

<div style="margin-top: 15px">
	
	<table class="table table-bordered listViewEntriesTable">
		<thead>
			<tr></tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted" style="text-align:center; margin-top:5%">Inizio periodo competenza</label>
				</td>
				<td>
					<div class="controls">
						<div class="input-append date" id="datepickerCSNewValiditaStartDate" data-date-format="dd-mm-yyyy">
							<input placeholder="gg-mm-aaaa" type="text" name="date"
								ng-model="cs.inizioPeriodoCompetenza"
								style="width: 125px; height: 23px"> <span
								class="add-on" style="height: 23px"><i
								class="icon-th"></i></span>
						</div>
						<script type="text/javascript">
							$("#datepickerCSNewValiditaStartDate")
								.datepicker(
									{
										format : 'dd-mm-yyyy',
										language : 'it',
										viewMode : "days",
										minViewMode : "days",
										orientation : "bottom auto",
										autoclose : "true"
									})
						</script>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted" style="text-align:center; margin-top:5%">Fine periodo competenza</label>
				</td>
				<td>
					<div class="controls">
						<div class="input-append date" id="datepickerCSNewValiditaEndDate" data-date-format="dd-mm-yyyy">
							<input placeholder="gg-mm-aaaa" type="text" name="date"
								ng-model="cs.finePeriodoCompetenza"
								style="width: 125px; height: 23px"> <span
								class="add-on" style="height: 23px"><i
								class="icon-th"></i></span>
						</div>
						<script type="text/javascript">
							$("#datepickerCSNewValiditaEndDate")
								.datepicker(
									{
										format : 'dd-mm-yyyy',
										language : 'it',
										viewMode : "days",
										minViewMode : "days",
										orientation : "bottom auto",
										autoclose : "true"
									});
						</script>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted" style="text-align:center; margin-top:5%">Selezione file (.xls)</label>
				</td>
				<td>
					<!-- <input class="inputDialog" file-model="cs.file" id="csFile" name="file" type="file" accept=".xls"/> -->
					<div class="row-fluid" ngf-drop ng-model="cs.file" ngf-max-size="20MB" ngf-allow-dir="false">
							<div class="row-fluid" ng-hide="!cs.file" style="margin-bottom: 5px">
								<strong>{{cs.file.name}}</strong>
							</div>
							<div class="row-fluid" style="margin-top: 20px; margin-bottom: 20px">Drag &amp; Drop file</div>
							<div ngf-no-file-drop>File Drag/Drop is not supported for this browser</div>
							<button class="ngdialog-input" type="file" ngf-select name="file" accept=".xls,.xlsx"
								ng-model="cs.file" ngf-max-size="20MB" ngf-allow-dir="false">...or choose file</button>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
		<tr>
			<td>
			</td>
			<td align="left">
				<button autofocus type="button" class="btn addButton" ng-click="cancel()">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;
					<strong>Chiudi</strong>
				</button>
			</td>
			<td align="right">
				 <button ng-show="cs.file != undefined && cs.inizioPeriodoCompetenza != undefined && cs.inizioPeriodoCompetenza != ''" type="button" class="btn addButton" ng-click="upload(cs)">
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>  
			</td>
		</tr>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
